header {
    background: var(--navy);
}

.page-wrapper {
    display: flex;
    max-width: 1920px;
    justify-content: center;
    align-self: center;
    margin: 0 auto;
}

.page-wrapper nav {
    max-width: 310px;
    flex-grow: 1;
    width: 100%;
    flex-direction: column;
    flex-shrink: 0;
    background: white;
    border: 1px solid var(--border);
    border-top: 0;
    border-bottom: 0;
}

.page-wrapper nav .container {
    max-width: 100%;
    flex-direction: column;
    background: white;
}

.nav-link,
.nav-linkDesktop {
    color: var(--dark);
}

.page-wrapper main {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    width: 100%;
}

.header-main .container {
    max-width: 1920px;
    padding: 0 20px 0 0;
    height: 100%;
}

.header-top {
    display: none;
}

.header-main {
    padding: 0;
}

@media screen and (min-width: 991px) {
    #navToggle {
        height: 100%;
        width: auto;
        cursor: pointer;
        display: flex;

    }

    .header-main {
        height: 90px;
        display: flex;
        align-items: center;
    }

    .nav-toggle-wrapper {
        display: flex;
        color: white;
        margin-right: 30px;
        align-items: center;
        gap: 12px;
        text-transform: uppercase;
        font-weight: 500;
        line-height: 1.32;
        background: rgba(255, 255, 255, 0.2);
        height: 100%;
        padding: 0 30px;
    }
}


.header-nav .user__icon,
.header-nav .cart__icon {
    background: transparent;
    margin: 0;
}

.header-nav .user__icon img,
.header-nav .cart__icon img {
    filter: brightness(10);
}

.search-wrapper {
    max-width: 740px;
    min-width: auto;
    width: 100%;
}

.search__input {
    display: flex;
    position: relative;
    border-radius: var(--border-radius) 0 0 var(--border-radius);
}

.search__button {
    border-radius: 0 var(--border-radius) var(--border-radius) 0;
}

footer {
    background: var(--navy);
    color: white;
}

.footer__link,
.footer__text {
    color: white;
}

.copyright__author img {
    filter: brightness(50);
}

.btn {
    background: var(--green);
    border-radius: var(--border-radius);
}

.product-card__description {
    display: none;
}

.product-card__btn {
    display: flex;
}


.product-card {
    outline: 1px solid var(--border);
}

.product-card__link {
    padding: 0;
}

.product-card__bottom {
    padding: 0;
}

.product-card__title {
    text-align: left;
}

.product-card__bottom-content {
    display: flex;
    justify-content: space-between;
    background: var(--light);
    padding: 20px;
    align-items: center;
}

.product-card__delivery {
    justify-content: flex-start;
    padding: 0 20px;
    padding-bottom: 20px;
}

.product-detail__cta-wrap {
    flex-direction: column;
    padding: 0px;
}

.product-detail__cta {
    background: transparent;
    display: flex;
    flex-direction: row;
    padding: 0;
}

@media screen and (max-width: 991px) {
    .nav-toggle-text {
        display: none;
    }
}

.nav-link,
.nav-linkDesktop {
    text-align: left;
    justify-content: flex-start;
}

.nav-linkDesktop {
    justify-content: space-between;
}

@media screen and (max-width: 991px) {
    .header-main {
        background: var(--navy);
    }
}

.product-card__tags {
    left: 10px;
    top: 10px;
    z-index: 1;
}

.product-card__tagsRight {

    right: 10px;
    top: 10px;
}

.product-card__btn {
    padding: 0 12px;
    min-height: 44px;
    font-size: 15px;
}

@media screen and (min-width: 992px) {
    .nav-item {
        flex-direction: column;
    }

    .page-wrapper nav {}

    .nav-submenu {
        top: 0;
        position: relative;
        display: none;
    }

    .nav-submenu .row {
        flex-direction: column;
    }

    .nav-submenu .row .col-12 {
        width: 100%;
    }

    .nav-submenu__single {
        padding: 0;
    }
}

.copyright__title a {
    color: white;
}

.footer__link:hover {
    color: white;
    text-decoration: underline;
}

#navToggle {
    cursor: initial;
}

.header-nav {
    gap: 20px;
}

.header-nav .user,
.header-nav .cart {
    margin: 0;
    background: rgba(255, 255, 255, 0.2);
    padding: 2px 20px 2px 10px;
    height: 48px;
    border-radius: var(--border-radius);
}

.header-notice {
    background: var(--green);
    padding: 8px 0;
}

.header-tel {
    gap: 10px;
    margin-left: 30px;
    padding-left: 30px;
    border-left: 1px solid rgba(255, 255, 255, 0.2);
}

.header-tel,
.header-tel-img {
    align-items: center;
    display: flex
}

.header-tel-img {
    background: rgba(255, 255, 255, 0.2);
    border-radius: 50%;
    height: 42px;
    justify-content: center;
    width: 42px
}

.header-tel-content {
    color: var(--white);
    display: flex;
    flex-direction: column;
    line-height: 1.2
}

.header-tel-content small {
    font-size: 14px;
}

.header-tel-content span {
    font-family: var(--font-headings);
    font-size: 20px;
    font-weight: 600;
}

.nav-item-backdrop {
    display: none !important;
}

.newsletterSection {
    background: #BD8015;
    margin-bottom: 0px;
    padding: 30px 60px;
    color: white;
}

.newsletterSection__form {
    align-items: center;
    display: flex;
    gap: 40px
}

.newsletterSection__form img {
    width: 70px
}

.newsletterSection__titleWrap {
    flex-grow: 1;
    flex-shrink: 0
}

.newsletterSection__title {
    margin-bottom: 0
}

.newsletterSection__subTitle {
    color: white;
    display: flex;
    font-size: 14px;
    font-style: normal;
    line-height: 1.5;
    margin-top: 5px;
}

.newsletterSection__formGroup {

    border-radius: 9999px;
    display: flex;
    height: 50px;
    max-width: 420px;
    width: 100%;
    background: transparent;
    gap: 5px;
}

.newsletterSection__formGroup .validator-msg-holder {
    width: 100%;
}

.newsletterSection__label {
    display: none;
}

.newsletterSection__input {
    background: white;
    border: 0;
    font-size: 15px;
    height: 100%;
    width: 100%;
    border-radius: var(--border-radius);
}

.newsletterSection__btn {
    background: var(--navy);
    color: white;
    height: 100%;
    min-height: 100%;
    padding: 0 20px
}

.newsletterSection__btn:hover {
    background: var(--light);
    color: var(--dark)
}

@media screen and (max-width: 1200px) {
    .newsletterSection {
        padding: 25px 20px
    }
}

@media screen and (max-width: 991px) {
    .newsletterSection {
        margin: 0
    }

    .newsletterSection__titleWrap {
        flex-shrink: 1;
        text-align: center
    }

    .newsletterSection__form {
        flex-direction: column;
        gap: 20px
    }

    .newsletterSection__form img {
        width: 50px
    }

    .newsletterSection__title {
        font-size: 28px
    }

    .newsletterSection__subTitle {
        font-size: 13px
    }

    .newsletterSection {
        padding: 20px
    }
}

.product-detail__info {
    background: var(--light);
    padding: 0px;
}

.product-detail__title {
    padding: 30px;
    padding-bottom: 0;
}

.product-detail__code {
    padding: 30px;
    padding-bottom: 0;
}

.product-detail__text {
    padding: 30px;
}

.product-detail__form {
    flex-direction: column;
    padding: 30px;
    border-top: 3px solid white;
}

section h1 {
    font-weight: 700;
    color: var(--dark);
}

h6,
h5,
h4,
h3,
h2,
h1 {
    font-family: var(--font-headings);
    font-weight: 700;
}

.product-top .product-card__tags {
    position: relative;
    left: auto;
    top: auto;
    padding: 30px;
    padding-bottom: 0;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px;
    z-index: 1;
}

.tag {
    margin: 0;
}

.product-card__price {
    padding: 0;
}

.product-card__priceMain {
    margin: 0;
}

#ratingSection .rating-section-inner {
    border: 0;
    background: var(--light);
}

.btn.--green {
    background: var(--green);
}

.product-detail__button button {
    min-height: 58px;
    width: 100%;
}

.product-detail__qty.stepper {
    height: 58px;
}

.product-detail__qty.stepper span,
.product-detail__qty.stepper input {
    height: 58px;
}

.product-detail__button {
    flex-grow: 1;
}

.product-detail__price-delivery {
    box-shadow: none;
    border: 1px solid var(--border);
    margin-top: 30px;
    justify-content: space-between;
    padding: 20px 20px;
    z-index: 0;
}

.product-detail__price-delivery img {
    height: 28px;
    margin-right: 10px;
}

#doprava-widget-text {
    flex-grow: 1;
    font-size: 18px;
}

.product-detail__price-delivery .btn {
    min-height: 44px;
    padding: 0 20px;
    background: var(--light);
    color: var(--dark);
}

@media (min-width: 992px) {
    #product-carousel {
        border: 0;
        display: grid;
        gap: 20px;
        grid-template-columns: repeat(2, 1fr);
        transform: none !important;
        width: 100% !important;
    }

    #product-carousel>div:first-child {
        grid-column: span 2;
    }

    #ratingSection::before {
        content: "";
        top: -1px;
        bottom: 0;
        left: calc(50% - 155px);
        transform: translateX(-50%);
        width: 100vw;
        height: 100%;
        background: var(--light);
        display: flex;
        position: absolute;
        z-index: -1;
    }

    .page-wrapper nav {
        z-index: 9;
    }
}

.product-top {
    display: grid;
    grid-template-columns: 7fr 5fr;
    grid-gap: 60px;
    margin: 0;
    border-bottom: 1px solid var(--border);
    padding-bottom: 60px;
}

.product-detail__photos {
    margin: 0;
}

.product-detail__thumbs {
    display: none;
}

#product-carousel>div {
    display: flex;
    gap: 10px;
}

.product-detail__carouselItem {
    border: 1px solid var(--border);
    padding-bottom: 0;
}

.product-detail__carouselLink {
    cursor: pointer;
    padding: 0px;
    position: relative;
    width: 100%;
}

.page-heading {
    padding: 40px 0;
}

.subcategories {
    padding-top: 0;
    padding-bottom: 40px;
}

.product-detail__photos .lightbox .next,
.product-detail__photos .lightbox .prev {
    align-items: center;
    background: #000;
    border-radius: 50%;
    color: #fff;
    display: flex;
    flex-shrink: 0;
    height: 50px;
    justify-content: center;
    position: fixed;
    right: 50%;
    transform: translateX(480px);
    width: 50px;
    cursor: pointer;
}

.product-detail__photos .lightbox .prev {
    left: 50%;
    right: auto;
    transform: translateX(-480px)
}

.product-detail {
    padding-top: 20px;
}

#ratingSection {
    padding: 0;
}

section.products {
    flex-grow: 1;
}

.modal__container.--cart .btn {
    background: var(--green);
}

.btn.--cart {
    background: var(--green);
}

.modal__container.--cart .btn.--cart-dark {
    background: var(--dark);
}

.cart-page .page-wrapper {
    max-width: 100%;
}

.cart-heading {
    background: var(--light);

}

.cart-aside {
    background: var(--light);
}

.cart-aside__code .btn {
    background: var(--dark);
}


.header-nav .cart__number {
    border-color: var(--gold);

}

.header-nav .cart.--active .cart-title {
    display: none;
}

.header-nav .cart.--active {
    background: var(--gold);
}

.variants__list.--active {
    max-height: 420px;
    overflow-y: scroll;
}

.variants {
    padding-bottom: 40px;
    width: 100%;
    max-width: 100%;
}

@media (max-width: 1300px) {
    .header-tel {
        display: none;
    }
}

@media (max-width: 1200px) {
    .search {
        padding: 0 40px;
    }

    .nav-toggle-text {
        display: none;
    }
}

@media screen and (max-width: 991px) {

    .header-nav .user,
    .header-nav .cart {
        margin: 0;
        background: transparent;
        padding: 0;
        height: 100%;
        border-radius: var(--border-radius);
    }

    .header-nav {
        gap: 0
    }
}

@media screen and (max-width: 991px) {
    .logo {
        width: 100%;
        flex-grow: 1;
    }

    .logo img {
        height: 40px;
        width: auto;
        margin: 0;
        margin-top: -3px;
    }

    .search {
        padding: 0;
    }

    body.--search-active .search-wrapper {
        border-color: var(--navy);
        border-width: 6px;
    }
}

.filter__button {
    background: var(--gold);
    border-radius: var(--border-radius);
}

.products-sort__single input:checked+label {
    color: var(--gold);

}

.products-sort__single input:checked+label::after {
    background: var(--gold);
}

.news-single__bottom {
    padding: 20px;
    background: var(--light);
}

.news-single__dateWrap {
    background: rgba(0, 0, 0, 0.5);
    color: white;
    border-radius: var(--border-radius);
}

.cart-table-personal {
    margin-top: 0px;
}

.product-detail__parameters h2,
.product-detail__description h2 {
    font-size: 24px;
}

.product-detail__description {
    border-top: 1px solid var(--border);
    margin-top: 50px;
}

.product-detail__parameters table tr:nth-child(odd) td {
    background: var(--light);
}

.product-detail__parameters table tr td {
    padding: 10px;
}

.product-detail__parameters table tr td:last-child {
    text-align: right;
}

.product-detail__code {
    display: flex;
    flex-wrap: wrap;
}

.product-detail__code>div {
    display: flex;
    align-items: center;
}

.product-detail__priceMain span:last-child {
    font-weight: 600;
}

@media (max-width: 575px) {
    .container {
        padding-right: 10px;
        padding-left: 10px;
        width: 100%;
        margin: 0 auto;
    }

}

@media (max-width:991px) {
    .product-top {
        display: flex;
        flex-direction: column;
    }

    .product-top-col-1 .product-detail__description {
        display: none;
    }

    .product-detail__text {
        display: none;
    }

    .product-detail__code {
        padding-bottom: 30px;
    }

    .product-detail__carouselItem {
        aspect-ratio: 1/1;
        align-items: center;
        display: flex;
    }

    .product-top {
        gap: 20px;
    }
}

@media screen and (max-width: 991px) {

    .header-nav .user,
    .header-nav .cart {
        border-radius: 0;
    }

}

.footer-grid {
    display: flex;
    gap: 80px
}

.footer-grid .row {
    width: 100%;
}

.footer-left {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    flex-basis: 35%;
    position: relative;
}


.footer-left::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    margin-left: -50vw;
    width: calc(50vw + 50%);
    background: rgba(255, 255, 255, .1);
    z-index: -1;
}

.footer-left .header-tel {
    border: 0;
    padding: 10px 0;
    margin: 0;
}

.footer-right {
    width: 100%;
}

.copyright {
    padding-top: 80px;
}

.footer-left .btn {
    background: rgba(255, 255, 255, .2);
    height: 44px;
    padding: 0 20px;
    min-height: 44px;
    margin-top: 30px;
}

.footer-left .header-tel-img {
    background: rgba(0, 239, 63, 0.2);
    flex-shrink: 0;
}

footer {
    padding: 0;
}

.footer-left,
.footer-right {
    padding: 80px 0;
}

.footer-left-logo {
    padding: 0px 0 30px 0;
}

.newsletterSection {
    padding: 0;
}

.newsletterSection__form img {
    height: 100%;
    width: auto;
}

#ratingSection {
    padding: 60px 0;
}

#ratingSection h2 {
    margin-bottom: 40px;
}

#ratingSection .rating-section-inner {
    padding: 0;
    display: flex;
    flex-direction: row;
}

#ratingSection .rating-content {
    flex-direction: column;
    flex-basis: 20%;
    padding: 40px;
    margin: 0;
    flex-shrink: 0;
}

#ratingSection .rating-content-title {
    margin: 0;
    flex-direction: column;
    display: flex;
}

#ratingSection .rating-content-text {
    flex-direction: column;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

#ratingSectionCount {
    padding: 0;
    margin: 0;
    border: 0;
}

#ratingSection .rate-average-inner {
    background: transparent;
}

#ratingSection .stars .star {
    height: 26px;
    width: 26px;
}

#ratingSection .rate-average {
    font-size: 48px;
}

#ratingSection .rating-content-title a {
    margin-top: 20px;
    padding: 8px 20px;
    border: 1px solid var(--border);
    background: var(--white);
    border-radius: var(--border-radius);
}

#ratingSection .vote-wrap {
    background: white;
    padding: 30px;
    border: 1px solid var(--border);
}


.page-wrapper nav {
    width: 310px;
    flex-shrink: 0;
    background: white;
    border: 1px solid var(--border);
}

.page-wrapper main {
    flex-grow: 1;
    min-width: 0;
    display: flex;
    flex-direction: column;
}


.carousel-content {
    display: flex;
    gap: 20px;
}

@media screen and (max-width: 1200px) {
    .page-wrapper nav {
        width: 280px;
    }
}

@media screen and (min-width: 992px) {
    .carousel-col {
        display: flex;
        flex-direction: column;
        flex-shrink: 1;
        gap: 20px;
        width: 67%;
    }
}

.carousel__side {
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: stretch;
    margin: 0;
    padding: 0;
}

.carousel,
.carousel-wrapper {
    position: relative;
}



.tag {
    box-shadow: 0px 4px 8px rgba(0, 0, 0, .08);
    border-radius: 3px;
    font-weight: 500;
}

.product-card__tagSingle {
    padding-bottom: 3px;
}

.tag.--sale {
    color: var(--red);
    background: var(--white);
}

.tag.--new {
    color: var(--green);
    background: var(--white);
}

.tag.--recommended {
    color: #5a5e6a;
    background: var(--white);
}

.variants__list {
    height: 100%;
    overflow: auto;
    border: 0;
    background: var(--light);
}

.variants__list.--active {
    max-height: 100%;
    overflow-y: hidden;
    box-shadow: none;
}

.variants__item {
    height: 66px;
    padding: 0 15px;
    margin-bottom: 3px;
    background: var(--white);
    border: 2px solid var(--white);
}

.variants__item.--active {
    order: 2;
    display: flex;
    border: 2px solid var(--green);
}

.variants__list-wrap {
    height: auto;
    max-height: 260px;
    overflow-y: auto;
}

.variants__item-content {
    flex-grow: 1;
}

.variants__list.--active .variants__item:hover {
    background: white;
}

.variants__item-content p {
    color: var(--dark);
    font-family: var(--font-headings);
    font-size: 17px;
    font-weight: 600;
    line-height: 1.2;
    margin: 0;
    text-transform: uppercase;
}

.variants__item-price {
    color: var(--red);
    flex-grow: 1;
    font-family: var(--font-headings);
    font-size: 17px;
    font-weight: 600;
    justify-content: flex-end;
    text-align: right;
}

.variants__item-stock {
    color: var(--green);
    font-size: 14px;
}

.variants__list::after {
    content: none;
}

.variants__item img {
    height: 54px;
    width: 54px;
}


.variants__list-wrap {
    padding-right: 2px;
}

.variants__list-wrap::-webkit-scrollbar {
    width: 8px;
    cursor: pointer;

}

.variants__list-wrap::-webkit-scrollbar-thumb {
    background-color: #c3c3c3;
    border-radius: 0px;
    cursor: grab;
}

.variants__list-wrap::-webkit-scrollbar-thumb:hover {
    background-color: #c3c3c3;
}

.variants__list-wrap::-webkit-scrollbar-track {
    background-color: transparent;
}

.variants__item.default.--active {

    display: none;
}

.variants__title {
    font-weight: 600;
}

.product-detail__stock {
    display: inline-flex;
    width: auto;
    border: 2px solid #DAEEE3;
    padding: 20px 20px 20px 20px;
    text-align: center;
    border-radius: var(--border-radius);
}

.product-detail__stock[data-status=active] {
    padding: 20px 20px 20px 40px;
    background-position: 15px center !important;
}

.product-detail__price {
    justify-content: space-between;
}

.product-detail__stock {
    order: 2;
    margin: 0;
}

.modal__cart-variant {
    font-size: 14px;
}

.carousel-side {
    border-radius: 5px;
    overflow: hidden;
}

.carousel-col .carousel-wrapper {
    border-radius: 5px;
    overflow: hidden;
}

.carousel-content {
    gap: 10px
}

@media screen and (min-width: 992px) {
    .carousel-col {

        width: 68.84%;
    }

    .carousel-side {
        width: 31.16%;
    }
}

@media screen and (max-width: 1200px) {
    .carousel-col {

        width: 100%;
    }

    .carousel-side {
        display: none;
    }
}

.news-single__title {
    font-size: 20px;
    font-weight: 600;
}

.news-single__text {
    font-size: 14px;
    margin: 0;
    margin-top: 20px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    height: auto;
    min-height: 42px;
    color: #5B606D;

}

.section-news__btnWrap {
    padding: 0;
}

.section-news__heading {
    display: flex;
    justify-content: space-between;
    padding-bottom: 30px;
}

.section-news__btnWrap .btn {
    background: white;
    color: var(--dark);
    border: 1px solid var(--border);
    min-height: 42px;
    padding: 0 15px;
}

#ratingSection .vote-content {
    margin: 20px 0;
    height: auto;
    flex-grow: 1;
}

#ratingSection .vote-name {
    flex-direction: column;
}

#ratingSection .vote-wrap {
    display: flex;
    flex-direction: column;
}

.vote-grid .vote-checked,
.product-card__deliveryText {
    color: var(--green);
}

.product-card__price {
    flex-direction: column;
    gap: 3px;
}

.product-card__priceOld {
    font-size: 13px;
    color: #5a5e6a;
}

.product-card__priceMain {
    color: var(--red);
    font-weight: 600;
    font-size: 20px;
}

.tag {
    text-transform: uppercase;
}

#ratingSection .vote-grid {
    gap: 20px;
}

.news-single__readmore {
    padding: 15px 0 5px 0;
    display: inline-flex;
    font-size: 15px;
    font-weight: 500;
    border-bottom: 2px solid var(--gold);
}

.variants__item-content span {
    font-size: 13px;
    color: #6e6e6e;
}

.variants__item-text {
    font-weight: 500;
}

.points {
    position: relative;
    margin-bottom: 60px;

}

.points::after {
    content: "";
    display: flex;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    background: var(--border);
    height: 1px;
    width: 100%;
    max-width: 1380px;
}


@media screen and (min-width: 992px) {
    .nav-item.expandable:hover .nav-submenu {
        display: none !important;
        content-visibility: hidden;
    }

    .nav-item.expandable:hover~.nav-item-backdrop {
        display: none !important;
        content-visibility: hidden;
    }



    .nav-item.expandable.hover-enabled.hovering .nav-submenu {
        display: block !important;
        content-visibility: visible;
    }

    .nav-item.expandable.hover-enabled.hovering~.nav-item-backdrop {
        display: block !important;
        content-visibility: visible;
    }

    .nav-item.expandable.hover-enabled.hovering .nav-linkDesktop {
        background: var(--light);
    }

    .nav-item {
        position: relative;
    }

    .nav-submenu {
        position: absolute;
        top: 0;
        left: 309px;
        width: 1300px;
        max-width: calc(100vw - 310px);
        box-shadow: 0px 0px 12px rgba(0, 0, 0, .25);
        padding: 30px;
    }

    .nav-submenu .row .col-12 {
        width: 25%;
    }

    .nav-submenu .row {
        flex-direction: row;
    }

    .nav-submenu .row {
        gap: 0px;
    }

    .nav-submenu__single {
        padding: 15px 20px;
    }
}

.page-content .rate-average-wrap {
    position: sticky;
    top: 10px;
}

.carousel .prev,
.carousel .next {
    top: auto;
    bottom: 10px;
}

.carousel-col .carousel-wrapper {
    height: 100%;
}

.carousel-inner {
    height: 100%;
}

.nav-link img,
.nav-linkDesktop img {
    margin-left: 10px;
    width: 10px;
    height: 10px;
}

.carousel .item {
    position: relative;
    will-change: unset;
    height: 100%;
}

@media screen and (min-width: 992px) {

    .carousel-inner>div {
        height: 100%;
    }

    .carousel-inner>div>div {
        height: 100%;
    }

    .carousel-inner picture {
        height: 100%;
        display: flex;
    }
}

@media screen and (min-width: 992px) {
    .carousel-content {
        display: flex;
        gap: 20px;
        width: 100%;
        /* Zajistí roztažení na celý kontejner */
    }

    .carousel-col {
        /* Původních 68.84 % mínus polovina mezery */
        width: calc(68.84% - 10px);
        flex-shrink: 0;
        min-width: 0;
    }

    .carousel-side {
        /* Původních 31.16 % mínus polovina mezery */
        width: calc(31.16% - 10px);
        flex-shrink: 0;
    }

    /* KRITICKÉ: Obrázek v banneru musí vyplnit svůj kontejner */
    .carousel-side img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        /* Aby se nedeformoval, pokud je kontejner vyšší */
        display: block;
    }
}

.tag.--circleSale {
    background: url(../ikony/tag-sale.svg);
    background-size: contain;
    border-radius: 0;
    height: 52px;
    width: 42px;
    box-shadow: none;
    padding-bottom: 5px;
    font-size: 15px;
    background-repeat: no-repeat;
}

.product-detail__photos .tag.--circleSale {
    height: 76px;
    width: 60px;
    font-size: 18px;
}

@media screen and (min-width: 992px) {
    .nav-submenu__single:hover {
        outline: 1px solid var(--border);
    }

    .nav-submenu__single ul {
        padding-bottom: 0;
    }

    .nav-submenu__single {
        align-items: center
    }

    .nav-submenu__title {
        padding: 0;
    }
}

.page-content p,
.page-content strong,
.page-content b,
.page-content i,
.page-content u {
    display: inline-block;
    color: #6e6e6e;
    margin-bottom: 40px;
    line-height: 1.75;
}



.categories-grid {
    display: grid;
    /* Celkem 5 stejně širokých sloupců */
    grid-template-columns: repeat(5, 1fr);
    /* 6 řádků pro flexibilní výšku (3+3 vlevo, 4+2 vpravo) */
    grid-template-rows: repeat(6, 100px);
    gap: 20px;

}

/* --- LEVÁ STRANA (Širší, 2 sloupce) --- */

/* 1. Matrace (Vlevo nahoře) */
.categories-single:nth-child(1) {
    grid-column: 1 / 3;
    /* Zabírá 1. a 2. sloupec */
    grid-row: 1 / 4;
    /* Zabírá horní polovinu (3 řádky) */
    background-color: #4a5d52;
}

/* 2. Přikrývky (Vlevo dole) */
.categories-single:nth-child(2) {
    grid-column: 1 / 3;
    /* Zabírá 1. a 2. sloupec */
    grid-row: 4 / 7;
    /* Zabírá spodní polovinu (3 řádky) */
    background-color: #c9a66b;
}

/* --- PRAVÁ STRANA (3 sloupce) --- */

/* 3. Postele (Velký blok vpravo nahoře) */
.categories-single:nth-child(3) {
    grid-column: 3 / 6;
    /* Zabírá zbývající 3 sloupce (3, 4, 5) */
    grid-row: 1 / 5;
    /* Je vyšší než jeden levý blok (4 řádky) */
}

/* 4., 5., 6. Povlečení (Tři čtverce úplně dole) */
/* Každý zabírá přesně jeden sloupec a zbývající 2 řádky */
.categories-single:nth-child(4) {
    grid-column: 3 / 4;
    grid-row: 5 / 7;
}

.categories-single:nth-child(5) {
    grid-column: 4 / 5;
    grid-row: 5 / 7;
}

.categories-single:nth-child(6) {
    grid-column: 5 / 6;
    grid-row: 5 / 7;
}

/* --- STYLING OBSAHU --- */

.categories-single {
    position: relative;
    display: flex;
    overflow: hidden;
    border-radius: 4px;
    background: #fff;
    border: 1px solid #eee;
}



/* Aby obrázek zabral zbytek místa vedle textu */
.categories-single img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Skrytí popisků, pokud mají být jen nadpisy */
.categories-single__text {
    display: none;
}

/* Odkaz jako nadpis */
.categories-single__link {
    padding: 30px 20px;
    flex-shrink: 1;
    color: white;
    text-decoration: none;
    font-weight: 600;
    order: -1;
    z-index: 2;
}

.categories-single:nth-child(4),
.categories-single:nth-child(5),
.categories-single:nth-child(6) {
    position: relative;
    padding: 20px;
}

.categories-single:nth-child(4) img,
.categories-single:nth-child(5) img,
.categories-single:nth-child(6) img {
    aspect-ratio: 16/9;
    width: auto;
    height: auto;
}

.categories-single:nth-child(4) .categories-single__link,
.categories-single:nth-child(5) .categories-single__link,
.categories-single:nth-child(6) .categories-single__link {
    order: 2;
    color: var(--dark);
    padding: 0;
    text-align: center;
    padding-top: 20px;
    line-height: 1.2;
}

.categories-single img {
    mix-blend-mode: normal;
    max-width: 100%;
    flex-shrink: 1;
}

/* Styl pro Matrace a Přikrývky (text vlevo, obrázek vpravo) */
.categories-single:nth-child(1),
.categories-single:nth-child(2) {
    flex-direction: row;
    padding: 0;
    border: 0;
    justify-content: space-between;
}

.categories-single:nth-child(1) .categories-single__link,
.categories-single:nth-child(2) .categories-single__link {
    font-size: 24px;
}

.categories-single:nth-child(1) .categories-single__image,
.categories-single:nth-child(2) .categories-single__image {

    height: 100%;
    aspect-ratio: 1/1;
}

.categories-single:nth-child(3) {
    background: var(--navy);
    padding: 0;
    flex-direction: column;
    justify-content: space-between;
    border: 0;
}

.categories-single:nth-child(3) .categories-single__image {
    order: -1;
    width: 100%;

}

.categories-single:nth-child(3) .categories-single__image img {
    aspect-ratio: 22/9;
    height: 100%;
    width: 100%;
}

.categories-single:nth-child(3) .categories-single__link {
    margin: 0;
    font-size: 30px;
    height: 100%;
    padding: 20px;
    display: flex;
    align-items: center;
}

@media screen and (max-width: 991px) {
    .nav-submenu .row {
        flex-direction: column;
    }

    .nav-submenu .row .col-12 {
        width: 100%;
    }

    .nav-submenu {
        background: var(--light);
        color: var(--dark);
    }

    .nav-linkDesktop+.nav-link,
    .nav-submenu__title {
        color: var(--dark);
    }

    .page-wrapper nav .container {
        background: transparent;
    }
}

@media screen and (max-width: 768px) {
    .news-single__text {
        display: none;
    }

    .news-single__top {
        height: auto;
    }

    .news-single {
        align-items: stretch;
    }
}

@media screen and (max-width: 991px) {
    #ratingSection .rating-section-inner {
        flex-direction: column;
    }

    #ratingSection {
        background: var(--light);
        padding: 40px 0;
    }

    #ratingSection .rating-section-inner {
        background: transparent;
    }

    #ratingSection .rating-content {
        padding: 0px 20px 20px 20px;
    }

    #ratingSection h2 {
        text-align: center;
    }
}

@media screen and (max-width: 1200px) {
    .carousel-col {
        width: 100%;
        flex-shrink: 0;
        min-width: 0;
    }
}

@media screen and (max-width: 1200px) {
    #ratingSection .vote-grid {
        display: flex;
        overflow: auto;
        width: 100%;
        grid-gap: 20px;
        padding-bottom: 20px;
    }
}

@media (max-width: 1300px) {
    .footer-left .header-tel {
        display: flex;
    }

    #ratingSection .stars .star {
        height: 16px;
        width: 16px;
    }
}

@media screen and (max-width: 991px) {
    .footer-grid {
        display: flex;
        flex-direction: column;
        gap: 0px;
    }

    .footer-right {
        padding: 0;
    }

    .copyright {
        padding-top: 50px;
        padding-bottom: 30px;
    }

    .footer-left {
        flex-direction: row;
        gap: 30px;
        background: rgba(255, 255, 255, .1);
        padding: 20px;
        margin-top: 20px;
        align-items: center;
    }

    .footer-left-logo {
        display: none;
        margin: 0;
    }

    .footer-left .btn {
        margin: 0;
    }

    .footer-left::before {
        content: none;
    }

    .footer-left .header-tel:nth-child(3) {
        flex-grow: 1;
    }

    .newsletterSection__form {
        padding-bottom: 20px;
    }

    .newsletterSection__form img {
        border-bottom: 1px solid rgba(255, 255, 255, .5);
    }
}

@media screen and (max-width: 700px) {
    .footer-left {
        flex-direction: column;
        gap: 20px;
    }
}

.page-content h2 {
    font-size: 30px;
}

.page-content h3 {
    font-size: 22px;
}

.footer__link,
.footer__text {
    color: white;
    opacity: 0.8;
}

.footer__link:hover {
    opacity: 1;
}

.product-detail__stock[data-status=disabled] {
    padding: 20px 20px 20px 40px;
    background-position: 15px center !important;
    border: 2px solid #d0d0d0;
}

.product-detail__title {
    font-size: 34px;
}

@media screen and (max-width: 575px) {
    .product-detail__cta {
        background: transparent;
        display: flex;
        flex-direction: column;
        padding: 0;
        gap: 20px
    }

    .product-detail__button {
        margin: 0;
    }

    .product-detail__qty.stepper {
        width: 100%;
    }

    .product-detail__title {
        font-size: 28px;
        padding-left: 20px;
        padding-right: 20px;
    }

    .product-top .product-card__tags {
        padding: 20px;
        padding-bottom: 0;
    }

    .product-detail__code {
        padding: 20px;
        gap: 10px;
    }

    .product-detail__form {
        flex-direction: column;
        padding: 20px;
    }

    .product-detail__price-delivery {
        padding: 15px;
    }

    .product-top {
        gap: 10px;
    }

    .product-detail {
        padding-top: 10px;
    }
}

.product-detail__price-delivery .btn {
    flex-shrink: 0;
}

@media screen and (max-width: 475px) {
    #doprava-widget-text {
        font-size: 16px;
    }

}


@media screen and (min-width: 992px) {
    .nav-submenu .row .col-12 {
        justify-self: center;
        align-items: center;

        display: flex;
    }

    .page-wrapper nav .container {
        padding: 0;
    }
}

.searchAutocomplete {
    margin-top: 10px
}

.searchAutocomplete:before {
    background: #fff;
    content: "";
    display: inline-flex;
    height: 12px;
    position: absolute;
    top: 5px;
    transform: translateY(-10px) translateX(10px) rotate(-45deg);
    width: 12px
}

.searchAutocomplete__link {
    align-items: center;
    color: var(--dark);
    display: flex;
    font-size: 15px;
    font-weight: 400;
    padding: 10px 20px
}

.searchAutocomplete__item img {
    height: 30px;
    margin-right: 10px;
    -o-object-fit: contain;
    object-fit: contain;
    width: 30px
}

.searchAutocomplete__section.--cats {
    border-top: 1px solid var(--border);
    margin-top: 10px
}

.searchAutocomplete__title {
    color: var(--gold);
    font-family: var(--font-headings);
    font-size: 16px;
    font-weight: 600;
    line-height: 1.2;
    text-transform: uppercase
}

.searchAutocomplete__link {
    padding: 14px 20px
}

.searchAutocomplete__link:active,
.searchAutocomplete__link:focus,
.searchAutocomplete__link:hover {
    background: var(--light)
}

.searchAutocomplete__item img {
    mix-blend-mode: multiply
}

@media screen and (max-width: 991px) {
    .searchAutocomplete:before {
        left: 20px
    }

    .search__input {
        border-radius: 0;
        height: 54px
    }
}

.categories-single:nth-child(1) .categories-single__content,
.categories-single:nth-child(2) .categories-single__content {
    order: -1;
    padding: 40px 30px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    width: 100%;
    min-width: 220px;
}

.categories-single__btn {
    color: white;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: 1px solid white;
    border-radius: var(--border-radius);
    min-height: 46px;
    padding: 0 15px;
}

.categories-single:nth-child(1) .categories-single__link,
.categories-single:nth-child(2) .categories-single__link {
    padding: 0;
}

.categories-single:nth-child(4),
.categories-single:nth-child(5),
.categories-single:nth-child(6) {
    .categories-single__btn {
        display: none;
    }
}

.categories-single:nth-child(3) .categories-single__content {
    flex-direction: row;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 40px;
}

.categories-single:nth-child(3) .categories-single__link {
    padding: 0;
}

section.products.--tabs {
    padding-bottom: 60px;
    padding-top: 60px;
}

section.products .tabs {
    position: relative
}

section.products.--tabs h1 {
    padding-bottom: 30px;
}

.tabs {
    display: flex;
    flex-wrap: wrap
}

.tabs input[type=radio] {
    display: none
}

.tabs label {
    color: #a6a9b1;
    cursor: pointer;
    display: inline-block;
    font-family: var(--font-headings);
    font-size: 16px;
    font-weight: 600;
    margin-right: 10px;
    padding: 12px 20px;
    background: var(--light);
    color: var(--dark);
    border-radius: var(--border-radius);
}

.tabs input[type=radio]:checked+label {
    background: var(--gold);
    border-bottom: 0;
    color: var(--white);

}

.tab-content {
    border: 0 solid #ddd;
    display: none;
    margin-top: 30px;
    padding: 0;
    width: 100%
}

#tab1:checked~#content1,
#tab2:checked~#content2,
#tab3:checked~#content3,
#tab4:checked~#content4 {
    display: block
}

section.products .tabs .btn-more {
    position: absolute;
    right: 0;
    top: 0px;
    height: 44px;
    min-height: 44px;
    padding: 0 15px;
    color: var(--dark);
    background: transparent;
    border: 1px solid var(--border);
    transition: 0.3s ease all;
}

section.products .tabs .btn-more:hover {
    border-color: var(--dark);
}

@media screen and (min-width: 992px) {
    .nav-submenu__single {
        width: 100%;
    }

    .nav-submenu__single:hover {
        background: var(--light);
    }
}

@media screen and (max-width: 991px) {
    .nav-submenu__single img {
        display: flex;
        height: 42px;
        width: 42px;
        object-fit: contain;
        margin-left: 10px;
    }

    .nav-submenu__title {
        height: 54px;
    }

    .nav-submenu__single {
        align-items: center;
        justify-content: flex-start;
        display: flex;
    }
}

@media screen and (max-width: 768px) {
    .news-single__title {
        max-height: 60px;
        overflow: hidden;
        height: auto;
    }
}

.categories-single:nth-child(1) .categories-single__content,
.categories-single:nth-child(2) .categories-single__content {
    aspect-ratio: 22 / 34;
    min-width: 0;
}

.categories-single:nth-child(1) .categories-single__image,
.categories-single:nth-child(2) .categories-single__image {
    height: 100%;
    aspect-ratio: 20 / 22;
}

.categories-single:nth-child(3) .categories-single__image {
    height: 100%;
}

@media screen and (max-width: 1400px) {
    .categories-grid {
        display: grid;
        grid-template-columns: repeat(12, 1fr);
        grid-template-rows: repeat(6, 100px);
        gap: 20px;
    }

    .categories-single:nth-child(1) {
        grid-column: 1 / 7;
        grid-row: 1 / 3;
        background-color: #4a5d52;
    }

    .categories-single:nth-child(2) {
        grid-column: 7 / 13;
        grid-row: 1 / 3;
        background-color: #c9a66b;
    }

    .categories-single:nth-child(3) {
        grid-column: 1 / 13;
        grid-row: 3 / 7;
    }

    .categories-single:nth-child(4) {
        grid-column: 1 / 5;
        grid-row: 7 / 8;
    }

    .categories-single:nth-child(5) {
        grid-column: 5 / 9;
        grid-row: 7 / 8;
    }

    .categories-single:nth-child(6) {
        grid-column: 9 / 13;
        grid-row: 7 / 8;
    }

    .categories-single:nth-child(1) .categories-single__content,
    .categories-single:nth-child(2) .categories-single__content {
        aspect-ratio: auto;
        min-width: 0;
        padding: 30px;
    }

    .categories-single:nth-child(3) .categories-single__image img {
        aspect-ratio: 31/9;
    }
}

@media screen and (max-width: 991px) {}

.variants__list {
    overflow: hidden;
}

.product-card__thumb {
    position: relative;
    padding-bottom: 75%;
}

:root {
    --primary: #2c3e50;
    --accent: #3498db;
    --bg-light: #f8f9fa;
    --text: #333;
    --border: #e0e0e0;
}

.contact-page {
    font-family: sans-serif;
    line-height: 1.6;
    color: var(--text);
    max-width: 100%;
    margin: 0 auto;
    padding: 0px;
}

/* Grid layout pro karty */
.contact-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 25px;
    margin-bottom: 0px;
}

/* Styl karet */
.contact-card {
    background: white;
    border: 1px solid var(--border);
    border-radius: 0px;
    padding: 25px;
    transition: transform 0.2s, box-shadow 0.2s;
    display: flex;
    flex-direction: column;
}

.contact-card:hover {

    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.05);
}

h2.card-title {
    color: var(--primary);
    font-size: 1.25rem;
    margin-top: 0;
    border-bottom: 2px solid var(--gold);
    padding-bottom: 10px;
    margin-bottom: 15px;
}

.hours {
    display: block;
    font-weight: bold;
    font-size: 0.9rem;
    color: #666;
    margin-bottom: 10px;
}

.phone-link {
    display: inline-block;
    font-size: 1.4rem;
    font-weight: bold;
    color: var(--gold);
    text-decoration: none;
    margin: 10px 0;
}

.contact-card .btn-primary {
    height: 48px;
}

/* Spodní sekce s adresou */
.info-section {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
    margin-top: 0px;
}

@media (max-width: 768px) {
    .info-section {
        grid-template-columns: 1fr;
    }
}

.map-wrapper {
    margin: 20px 0;
    overflow: hidden;
}

.store-img {
    width: 100%;
    border-radius: 8px;
    height: auto;
}

.billing-card {
    background: var(--light);
    padding: 20px;
    border-radius: 8px;
    margin-top: 15px;
    margin-bottom: 20px;
}

.billing-card strong {
    margin: 0;
    color: var(--dark);
    font-weight: 600;
    margin-bottom: 20px;
}

.eet-box {
    margin-top: 30px;


}

.billing-card .legal-text {
    margin: 0;
}

.separator {
    border: 0;
    height: 3px;
    background: var(--border);
    margin: 0px 0;
}

@media (max-width: 768px) {
    .info-section {
        gap: 20px;
    }
}

@media screen and (max-width: 991px) {
    .cart-aside {
        padding: 20px;
    }
}


@media screen and (max-width: 1400px) {

    .categories-single:nth-child(1) .categories-single__content,
    .categories-single:nth-child(2) .categories-single__content {
        align-items: flex-start;
    }
}

@media screen and (max-width: 991px) {
    section.products .tabs .btn-more {
        position: relative;
        margin-top: 20px;
    }


    .categories-single:nth-child(1),
    .categories-single:nth-child(2) {
        grid-column: 1 / 13;

    }

    .categories-single:nth-child(1) {
        grid-row: 1 / 3;
    }

    .categories-single:nth-child(2) {
        grid-row: 3 / 5;
    }

    .categories-single:nth-child(3) {
        grid-row: 5 / 9;
    }

    .categories-single:nth-child(4),
    .categories-single:nth-child(5),
    .categories-single:nth-child(6) {
        grid-row: 9 / 12;
        padding: 15px;
    }

    .categories-grid {
        gap: 10px;
    }

    .categories-single:nth-child(4) .categories-single__link,
    .categories-single:nth-child(5) .categories-single__link,
    .categories-single:nth-child(6) .categories-single__link {
        font-size: 16px;
    }
}

@media screen and (max-width: 500px) {

    .categories-single:nth-child(4),
    .categories-single:nth-child(5),
    .categories-single:nth-child(6) {
        display: none;
    }

    .categories-single:nth-child(1) .categories-single__content,
    .categories-single:nth-child(2) .categories-single__content {
        padding: 20px;
    }

    .categories-single:nth-child(3) .categories-single__link {
        font-size: 22px;
    }

    .categories-single:nth-child(3) .categories-single__content {
        padding: 20px;
    }
}

@media screen and (max-width: 440px) {

    .categories-single:nth-child(1) .categories-single__link,
    .categories-single:nth-child(2) .categories-single__link {
        font-size: 18px;
    }
}

#modal-reklamace .modal__container {
    max-width: 820px;
    max-height: 100vh;
}

.micromodal-slide .modal__container,
.micromodal-slide .modal__overlay {
    will-change: initial;
}

.article-content-footer {
    padding: 20px;
    background: var(--light);
    display: flex;
    justify-content: center;
}

.product-detail__stock[data-status=active],
.product-detail__price-delivery {
    color: var(--green);
}

.product-detail__description.--mobile {
    display: none;
}

.product-detail__text.--mobile {
    display: none;
}

@media screen and (max-width: 991px) {
    .product-detail__description.--mobile {
        display: block;
        padding: 40px 0;
    }

    .product-detail__text.--mobile {
        display: block;
    }
}

@media screen and (max-width: 440px) {
    .categories-single__btn {
        white-space: nowrap;
        padding: 5px 10px;
    }
}

@media screen and (max-width: 440px) {

    .categories-single:nth-child(1) .categories-single__link,
    .categories-single:nth-child(2) .categories-single__link {
        font-size: 19px;
    }
}

@media screen and (max-width: 991px) {
    .points {
        position: relative;
        margin-bottom: 0px;
        padding-bottom: 40px;
    }

    .points::after {
        content: none;
    }

    section.products.--tabs .tabs label {
        width: 100%;
    }
}

.product-detail__sestava-notice {
    margin-bottom: 20px;
}

.product-detail__sestava-sale {
    margin: 0;
}

.product-detail__sestava {
    background: white;
    padding: 20px 0;
    margin: 0;
}

.rate-average-wrap .infomessage {
    margin: 30px 0 0 0;
}

.product-detail__sestava h2 {
    font-size: 18px;
    text-transform: uppercase;
}

.product-detail__sestava h2 {
    font-size: 18px;
    text-transform: uppercase;
}

@media screen and (max-width: 991px) {
    section.products.--tabs .tabs label {
        margin: 2px 0;
    }

    .tab-content {
        margin-top: 10px;
    }

    section.products .tabs .btn-more {
        width: 100%;
        border-color: var(--dark);
    }

    section.products.--tabs {
        padding: 40px 0;
    }


}

@media screen and (max-width: 768px) {
    .news-single.--full {
        flex-direction: column;
    }

    .news-single.--full .news-single__top {
        width: 100%;
        min-height: 240px;
    }
}

.news-single.--full .news-single__title {
    color: var(--dark);
}

.page-content strong {
    margin: 0;
}
@media screen and (max-width: 991px) {
    .header-main .container {
        padding: 0;
    }
}

@media screen and (max-width: 991px) {
    .cart-page .logo {
        margin-left: 20px;
    }
}
#product-code{
    padding-left: 3px;
}
#doprava-widget-text{
    font-weight: 700;
}

.doprava-widget-subtext{
    font-size: 14px;
    font-weight: 400;
}
@media screen and (max-width: 575px) {
.product-detail__price-delivery .btn{
        display: none;
    }
}
@media screen and (max-width: 575px) {
    .product-detail__sestava-item .btn {
     display: none;
    }
    .product-detail__sestava-name{
        font-size: 14px;
    }
    .product-detail__sestava-qty{
        position: absolute;
        top: 10px;
        left: 10px;
    }
}
.product-detail__files-wrap{
    padding: 30px 30px;
    background: var(--light);
    margin-top: 30px;
} 
.product-detail__files a{
        background: var(--white);
}
@media screen and (max-width: 575px) {
.product-detail__files-wrap{
    padding: 0px;
    background: var(--white);
} 
}
